| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Private Attributes | Friends | List of all members
Vel::Function Class Referenceabstract
Velocity

`#include <velocityfunction.h>`

Inheritance diagram for Vel::Function:
[legend]

## Public Member Functions
virtual ZSampling | getAvailableZ () const =0
const BinID & | getBinID () const
virtual const VelocityDesc & | getDesc () const
const ZSampling & | getDesiredZ () const
const FunctionSource & | getSource () const
float | getVelocity (float z) const
virtual bool | moveTo (const BinID &)
virtual void | removeCache ()
Function & | setDesiredZRange (const ZSampling &)
Function & | setGeomID (const Pos::GeomID &)
virtual Function & | setZDomain (const ZDomain::Info &)
const UnitOfMeasure * | velUnit () const
virtual const ZDomain::Info & | zDomain () const
bool | zInFeet () const
bool | zInMeter () const
bool | zIsTime () const
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Protected Member Functions
| Function (FunctionSource &)
virtual | ~Function ()
virtual bool | computeVelocity (float z0, float dz, int sz, float *res) const =0
Function & | copyDescFrom (const FunctionSource &)
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Protected Attributes
BinID | bid_
ZSampling | desiredrg_
Pos::GeomID | geomid_
FunctionSource & | source_

## Private Attributes
TypeSet< float > * | cache_ = nullptr
Threads::Lock | cachelock_
SamplingData< double > | cachesd_
VelocityDesc & | desc_
const ZDomain::Info * | zdomaininfo_

## Friends
class | FunctionSource

## Additional Inherited Members
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)

## Detailed Description

Velocity versus depth for one location. The source of information is different for each subclass, but is typically user-picks, wells or velocity volumes.

<>

## Constructor & Destructor Documentation

## ◆ Function()

Vel::Function::Function | ( | FunctionSource & |  | ) |
| protected

## ◆ ~Function()

virtual Vel::Function::~Function | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ computeVelocity()

virtual bool Vel::Function::computeVelocity | ( | float | z0,
|  | float | dz,
|  | int | sz,
|  | float * | res ) const
| protected pure virtual

Implemented in Vel::GriddedFunction, Vel::IntervalFunction, Vel::StoredFunction, and Vel::VolumeFunction.

## ◆ copyDescFrom()

Function & Vel::Function::copyDescFrom | ( | const FunctionSource & |  | ) |
| protected

## ◆ getAvailableZ()

virtual ZSampling Vel::Function::getAvailableZ | ( |  | ) | const
| pure virtual

Implemented in Vel::GriddedFunction, Vel::IntervalFunction, Vel::StoredFunction, and Vel::VolumeFunction.

## ◆ getBinID()

const BinID & Vel::Function::getBinID | ( |  | ) | const

## ◆ getDesc()

virtual const VelocityDesc & Vel::Function::getDesc | ( |  | ) | const
| inline virtual

## ◆ getDesiredZ()

const ZSampling & Vel::Function::getDesiredZ | ( |  | ) | const

## ◆ getSource()

const FunctionSource & Vel::Function::getSource | ( |  | ) | const
| inline

## ◆ getVelocity()

float Vel::Function::getVelocity | ( | float | z | ) | const

## ◆ moveTo()

virtual bool Vel::Function::moveTo | ( | const BinID & |  | ) |
| virtual

Reimplemented in Vel::GriddedFunction, Vel::IntervalFunction, Vel::StoredFunction, and Vel::VolumeFunction.

## ◆ removeCache()

virtual void Vel::Function::removeCache | ( |  | ) |
| virtual

## ◆ setDesiredZRange()

Function & Vel::Function::setDesiredZRange | ( | const ZSampling & |  | ) |

## ◆ setGeomID()

Function & Vel::Function::setGeomID | ( | const Pos::GeomID & |  | ) |

## ◆ setZDomain()

virtual Function & Vel::Function::setZDomain | ( | const ZDomain::Info & |  | ) |
| virtual

Reimplemented in Vel::IntervalFunction.

## ◆ velUnit()

const UnitOfMeasure * Vel::Function::velUnit | ( |  | ) | const

## ◆ zDomain()

virtual const ZDomain::Info & Vel::Function::zDomain | ( |  | ) | const
| inline virtual

Reimplemented in Vel::IntervalFunction.

## ◆ zInFeet()

bool Vel::Function::zInFeet | ( |  | ) | const

## ◆ zInMeter()

bool Vel::Function::zInMeter | ( |  | ) | const

## ◆ zIsTime()

bool Vel::Function::zIsTime | ( |  | ) | const

## Friends And Related Symbol Documentation

## ◆ FunctionSource

friend class FunctionSource
| friend

## Member Data Documentation

## ◆ bid_

BinID Vel::Function::bid_
| protected

## ◆ cache_

TypeSet<float>* Vel::Function::cache_ = nullptr
| mutable private

## ◆ cachelock_

Threads::Lock Vel::Function::cachelock_
| mutable private

## ◆ cachesd_

SamplingData<double> Vel::Function::cachesd_
| mutable private

## ◆ desc_

VelocityDesc& Vel::Function::desc_
| private

## ◆ desiredrg_

ZSampling Vel::Function::desiredrg_
| protected

## ◆ geomid_

Pos::GeomID Vel::Function::geomid_
| protected

## ◆ source_

FunctionSource& Vel::Function::source_
| protected

## ◆ zdomaininfo_

const ZDomain::Info* Vel::Function::zdomaininfo_
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025